/**
  This is a test class for class ArrayUtil.
  It includes a main method that invokes
  the ArrayUtil methods and show the output 
  using an OutputWindow object.
*/
public class TestArrayUtil {

	public static void main(String args[]) {

	int[] test={ 13,5,4,9,5,2 };
    String[] stringArray = {"one","two","three","four","eight"};
    int[][] testMatrix={ {7,8,9},{4,5,6},{1,2,3}};

    //here we call a static attribute
    System.out.println("***** Array Methods *****");
	ArrayUtil.printArray(test);
	
	//here we call a static attribute
	System.out.println("The sum is: "+ArrayUtil.getSum(test));

    System.out.println("The longest string is: "+ ArrayUtil.getLongest(stringArray));

    System.out.println("***** 2D Array Methods *****");
    System.out.println("The numbers are: ");
    ArrayUtil.printArray(testMatrix);
    System.out.println("Left Diagonal sum is: "+ArrayUtil.leftDiagonalSum(testMatrix));
    System.out.println("Right Diagonal sum is: "+ArrayUtil.rightDiagonalSum(testMatrix));
   
	}//close main

}//close class
