/**
 * This is a Palindrome Game.
 * It enables the user to check if a word or a sentence
 * is a palindrome.
 * To exit the Palindrom program click on the Exit button.
 * @author Yuval Vidal
 */
public class PalindromeGame {
	public static void main(String args[]){
		String testString = InputRequestor.requestString("Please enter a word or a "+
                                                          "sentence to check");
		OutputWindow.println("The word/sentence you entered: "+testString);
		OutputWindow.println("The word/sentence written backward: "+PalindromeChecker.backwardString(testString));
    	if(PalindromeChecker.isPalindrome(testString)){
    		OutputWindow.println(testString + " is a palindrome!");
    	}
    	else{
    		OutputWindow.println(testString + " is NOT a palindrome!");
    	}
    	OutputWindow.println("To quit click the EXIT button");
    }//close main
}//close class
