/**
 * The class PalindromeChecker contains methods for checking
 * if a given word or senyence is a palindrom.
 * All the methods in this class are static.
 * @author Yuval Vidal
 */
public class PalindromeChecker {
	/**
 	* Returns a given string written backwards
 	* @return String the given string written backwards
 	*/
 	public static String backwardString(String str){
 		String backwaredString="";
 		for (int i = str.length()-1; i >= 0; i--){
 			backwaredString+=str.charAt(i);
 		}
 		return backwaredString;
 	}
 	/**
 	* Check if a given string is a palindrome
 	* @return boolean - true if given string is a palindrome false otherwise
 	*/
 	public static boolean isPalindrome(String stringToCheck){
 		String rightToLeft = backwardString(stringToCheck);
 		if(stringToCheck.equalsIgnoreCase(rightToLeft)){
 			return true;
 		}
 		else{
 			return false;
 		}
 	}

}//close class
