import java.awt.*;
import java.awt.event.*;

/**
 * SquareRequestor allows to request square matrix from the user
 * in graphical form
 */
public class SquareRequestor extends Frame {

  	MagCan magcan;
  	MagControls magcontrols;

	/**
		Create square requestor.
	*/
	public SquareRequestor() {
		super("SquareRequestor");
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				dispose();
				System.exit(0);
			}
		});
		
		
        add("Center", (magcan=new MagCan(this)));
        add("South", (magcontrols=new MagControls(this)));
        //pack();
        setSize(new Dimension(500,400));
        setVisible(true);
	}

	/**
		Get user-generated square. This method does not return until square 
		is ready.
	*/
	public int[][] getSquare() {
		int[][] tmp=magcan.getSquare();
		//dispose();
		return tmp;
	}
  /*
	public static void main(String args[]) {
		SquareRequestor sq = new SquareRequestor();
		int[][] square=sq.getSquare();
		for (int i=0; i<square.length; i++)
			for (int j=0; j<square.length; j++)
				System.out.println(square[i][j]+" ");
		System.out.println();
	}
  */
}
